/**
 * Theme Name:     M&amp;G Health
 * Author:         Dropping Coconut OG
 * Template:       hello-elementor
 * Text Domain:	   mg-health
 * Description:    Hello Elementor is a lightweight and minimalist WordPress theme that was built specifically to work seamlessly with the Elementor site builder plugin. The theme is free, open-source, and designed for users who want a flexible, easy-to-use, and customizable website. The theme, which is optimized for performance, provides a solid foundation for users to build their own unique designs using the Elementor drag-and-drop site builder. Its simplicity and flexibility make it a great choice for both beginners and experienced Web Creators.
 */

#wpadminbar ~ header > #fixedHeader {
    margin-top: 32px;
}

body {
    -webkit-transition: background-color 1000ms linear;
    -ms-transition: background-color 1000ms linear;
    transition: background-color 1000ms linear;
}

.elementor-widget-text-editor p:last-child {
    margin-bottom: 0;
}

/* LAYOUT */

/* Full Width Container */
div.elementor > .e-con-full:not(.nopadding):not(.dm-wrapper) {
    padding-left: 5vw;
    padding-right: 5vw;
    gap: 4rem
}
div.elementor > .e-con-full:not(.nomargin) {
    margin-bottom: 4rem;
}

/*  BUTTONS */

.elementor-widget-button[data-widget_type="button.default"] .elementor-button {
	background-color: initial;
}

/* Image Carousel */

.elementor-image-carousel .elementor-image-carousel-caption {
    position: absolute;
    right: 1rem;
    bottom: 1rem;
    font-style: inherit;
}

/* Post Navigation */

.elementor-post-navigation {
    flex-direction: row-reverse;
}
.elementor-post-navigation .elementor-post-navigation__next a {
  flex-direction: row-reverse;
}
.elementor-post-navigation .elementor-post-navigation__prev a {
  flex-direction: row-reverse;
}

@media screen and (max-width: 767px) {
    .elementor-post-navigation .post-navigation__prev--title,
    .elementor-post-navigation .post-navigation__next--title {
        display: none;
    }
}

/* Accordion */
.elementor-widget-n-accordion .e-n-accordion-item-title-icon span > svg {
    max-width: 4rem;
}

/*****************************/
/* HEADER Transparent ********/
/*****************************/

body > header nav > ul.elementor-nav-menu > li > a::after {
    background-color: var( --e-global-color-d29cbd0 );
}
body > footer nav > ul.elementor-nav-menu > li > a::after {
    background-color: var( --e-global-color-accent );
}
ul.elementor-nav-menu li a:hover::after,
ul.elementor-nav-menu li.current-menu-item > a::after,
ul.elementor-nav-menu li.current-menu-parent > a::after {
    opacity: 1 !important;
    transform: scaleY(1);
    background-color: currentColor !important;
}
ul.elementor-nav-menu li a::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 1px;
  height: 100%;
  transform-origin: bottom;
  transition: transform .3s cubic-bezier(.25,.46,.35,.94),color .2s ease-out;
  transform: scaleY(0);
  background-color: currentColor !important;
}

@media screen and (max-width: 767px) {
    .elementor-nav-menu--stretch .elementor-nav-menu__container.elementor-nav-menu--dropdown {
        background-color: white important;
    }
}

/******************************/
/* Global FOOTER  */
/******************************/

footer .elementor-nav-menu--main .elementor-nav-menu ul {
    position: static;
    margin-left: 0;
    margin-top: 0;
    display: block;
    width: auto;
}

/******************************/
/* Horizontal Accordion START */
/******************************/

.dm-wrapper .dm-column-title:hover {
    cursor: pointer;
}
.dm-wrapper .dm-column-inner-tab > div.e-con-full {
    padding: 0;
}

@media screen and (min-width: 1025px) {
    .dm-wrapper .dm-column-title {
        white-space: nowrap;
        writing-mode: sideways-lr;
        width: 15%;
        align-content: center;
        transition: width 0s;
        border-left: 1px solid var( --e-global-color-c98bb56 );
    }
    .dm-wrapper .dm-column-tab.active .dm-column-title {
        border-left-color: var( --e-global-color-primary );
    }
    .dm-wrapper .dm-column-tab:first-child .dm-column-title {
        border-left-color: transparent;
    }
    .dm-wrapper .dm-column-tab:not(.active) .dm-column-title {
        transition: width 0s;
        width: 100%;
    }
    .dm-wrapper .dm-column-tab {
        width: 8%;/*calc(30% / sibling-count());*/
        min-height: 80vh;
        transition: width 0.5s;
    }
    .dm-wrapper .dm-column-inner-tab {
        width: 85%;
        gap: 60px;
    }
    .dm-wrapper .dm-column-inner-tab > div.e-con-full {
        padding-right: 20px;
    }
    .dm-wrapper .dm-column-tab.active {
     width: 60%;
    }
}

.dm-wrapper .dm-column-inner-tab {
    display: none;
    padding: 0;
    opacity: 0;

}
.dm-wrapper .dm-column-inner-tab.active {
    opacity: 0;
    animation: dm-fade-in 0.5s linear forwards;
}

/*Reveal Inner container animation*/
@keyframes dm-fade-in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/*Tablet Settings*/
@media screen and (max-width: 1024px) {
    .dm-wrapper .dm-column-tab {
        height: 100px;
        transition: height 0.5s;
        border-top: 1px solid transparent; /*var( --e-global-color-c98bb56 );*/
    }
    .dm-wrapper .dm-column-tab.active {
        height: 500px;
        border-top-color: var( --e-global-color-primary );
    }
    .dm-wrapper .dm-column-tab:first-child {
        border-top-color: transparent;
    }
    .dm-wrapper .dm-column-tab.active .dm-column-title {
        opacity: 0;
    }
}

/*Phone Settings*/
@media screen and (max-width: 767px) {
    .dm-wrapper .dm-column-inner-tab > div.e-con-full {
        padding: 20px;
    }
    .dm-wrapper .dm-column-inner-tab > div.e-con-full:first-child {
        min-height: 40vw;
    }
}

/******************************/
/* Horizontal Accordion END   */
/******************************/

 /* FRONT*/

.elementor .img-object-cover {
    overflow: hidden;
}
.elementor .img-object-cover img {
    max-width: fit-content;
    height: auto;
    object-fit: cover;
} 

 /* Swiper */
.fullscreen.elementor-widget-image-carousel .swiper-slide {
    height: 100vh;
    display: flex;
    align-items: center;
}
.fullscreen.elementor-widget-image-carousel .swiper .swiper-slide figure {
    width: 100vw;
    height: 100%;
}
.fullscreen.elementor-element .swiper .swiper-image-stretch .swiper-slide .swiper-slide-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

